Page MenuHomePhabricator

Fake statements that link to Forms and Senses
Closed, ResolvedPublic

Description

Output static HTML on forms/senses linking to other forms/senses.
Literally static HTML with no formatter links to forms/senses, e.g. …/wiki/Lexeme:L5#L5-F11.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 10:53 AM
WMDE-leszek moved this task from Backlog to Review on the Wikidata-Former-Sprint-Board board.
WMDE-leszek moved this task from Review to Doing on the Wikidata-Former-Sprint-Board board.

Change 363582 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Override datatype VT:wikibase-entityid and inject fake formatter

https://gerrit.wikimedia.org/r/363582

WMDE-leszek added a subscriber: WMDE-leszek.

The code mocking actual links has been prepared and ready to merged as https://gerrit.wikimedia.org/r/363582.
The team has decided not to merge immediately in order to avoid having such a confusing and unstable code in master branch for more time that absolutely needed. The code work has been finished though, therefore I'd consider this task Done.

Change 363582 abandoned by Jonas Kress (WMDE):
Override datatype VT:wikibase-entityid and inject fake formatter

https://gerrit.wikimedia.org/r/363582

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jul 20 2017, 9:27 AM
Aleksey_WMDE closed this task as Resolved.Jul 25 2017, 10:29 AM
Aleksey_WMDE added a subscriber: Aleksey_WMDE.

Done. See T165580

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 10:29 AM